Bug 216259 - graphics/tiff change in v4.0.7 broke functionality in HylaFAX
Summary: graphics/tiff change in v4.0.7 broke functionality in HylaFAX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords: patch, regression
Depends on:
Blocks:
 
Reported: 2017-01-19 15:21 UTC by Ryan Losh
Modified: 2017-05-22 19:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Losh 2017-01-19 15:21:18 UTC
Changes that are part of v4.0.7 modified the "Param" field in TIFFFaxTabEnt was changed from uint32 to uint16.  This change causes HylaFAX to be unable to transmit Faxes.  Reversing this change fixes the problem & restores functionality to Hylafax.

For more information please, see http://bugzilla.maptools.org/show_bug.cgi?id=2636

I've verified that this bug persists in tiff-4.0.7_1 version of the port.

Thank you for your help.
Comment 1 Jan Beich freebsd_committer 2017-04-21 08:24:56 UTC
Maintainer may need to backport the fix until the next release (4.0.8?):
https://github.com/vadz/libtiff/commit/7757b91a7163
Comment 2 commit-hook freebsd_committer 2017-05-22 18:53:27 UTC
A commit references this bug:

Author: antoine
Date: Mon May 22 18:53:05 UTC 2017
New revision: 441487
URL: https://svnweb.freebsd.org/changeset/ports/441487

Log:
  Update to 4.0.8

  PR:		219458, 216259
  Submitted by:	Vidar Karlsen
  MFH:		2017Q2

Changes:
  head/graphics/tiff/Makefile
  head/graphics/tiff/distinfo
  head/graphics/tiff/files/patch-Makefile.in
  head/graphics/tiff/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-05-22 19:07:42 UTC
A commit references this bug:

Author: antoine
Date: Mon May 22 19:06:43 UTC 2017
New revision: 441488
URL: https://svnweb.freebsd.org/changeset/ports/441488

Log:
  MFH: r441487

  Update to 4.0.8

  PR:		219458, 216259
  Submitted by:	Vidar Karlsen

Changes:
_U  branches/2017Q2/
  branches/2017Q2/graphics/tiff/Makefile
  branches/2017Q2/graphics/tiff/distinfo
  branches/2017Q2/graphics/tiff/files/patch-Makefile.in
  branches/2017Q2/graphics/tiff/pkg-plist